cURL
curl --request GET \
--url https://api.unifygtm.com/data/v1/objects/{object_name}/records/{record_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/data/v1/objects/{object_name}/records/{record_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/data/v1/objects/{object_name}/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"attributes": {}
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Records
Get record
Retrieve a specific record by ID.
GET
/
objects
/
{object_name}
/
records
/
{record_id}
cURL
Overview
The get method retrieves a single record by its ID from the specified object. This is the most accurate way to fetch a specific record when you know its ID. If the record doesn’t exist, an error will be returned.Examples
Get a company record
Get a company record
This retrieves a specific company record:
GET /objects/company/records/de885595-2d9a-4fb9-ae30-25ef18b6219b
{
"status": "success",
"data": {
"object": "company",
"id": "de885595-2d9a-4fb9-ae30-25ef18b6219b",
"created_at": "2025-09-04T01:23:45Z",
"updated_at": "2025-09-04T01:23:45Z",
"attributes": {
"name": "Unify",
"domain": "unifygtm.com",
"description": "A nice company with a top-notch API.",
"status": "Active"
// ...
}
}
}
Get a custom record
Get a custom record
This retrieves a record from a custom object:
GET /objects/product_user/records/6741cc39-b332-45a8-a439-75b69db998b1
{
"status": "success",
"data": {
"object": "product_user",
"id": "6741cc39-b332-45a8-a439-75b69db998b1",
"created_at": "2025-09-04T01:23:45Z",
"updated_at": "2025-09-04T01:23:45Z",
"attributes": {
"user_id": "6b2a2761-3cbe-481f-8a1e-b24859c674f8",
"full_name": "Bob Smith",
"email_address": "bob.smith@gmail.com",
"plan": "free_tier"
// ...
}
}
}
Usage
⌘I